﻿namespace EDPlayerJournal;

public class EnglishMissionNames {
    public static Dictionary<string, string> MissionNames { get; } = new Dictionary<string, string>() {
        {"Chain_FindThePirateLord_name", "Assassination (Pirate Lord) (Chain)"},
        {"Chain_RegainFooting_name", "Regain Footing (Chain)"},
        {"Chain_SalvageJustice_name", "Assassination (Legal) (Chain)"},
        {"Mission_Altruism_Bust_name", "Donate (Bust)" },
        {"Mission_Altruism_CivilUnrest_name", "Donate (Civil Unrest)" },
        {"Mission_Altruism_name", "Donate"},
        {"Mission_Altruism_Outbreak_name", "Donate (Outbreak)" },
        {"Mission_AltruismCredits_Bust_name", "Donate Credits (Bust)"},
        {"Mission_AltruismCredits_CivilUnrest_name", "Donate Credits (Civil Unrest)" },
        {"Mission_AltruismCredits_Famine_name", "Donate Credits (Famine)"},
        {"Mission_AltruismCredits_name", "Donate Credits"},
        {"Mission_AltruismCredits_Outbreak_name", "Donate Credits (Outbreak)" },
        {"Mission_Assassinate_Illegal_BLOPS_name", "Assassination (Illegal)"},
        {"MISSION_assassinate_Illegal_Planetary_name", "Assassination (Illegal, Planetary)" },
        {"Mission_Assassinate_Legal_Bust_name", "Assassination (Bust, Legal)" },
        {"MISSION_assassinate_legal_CivilUnrest_name", "Assassination (Civil Unrest, Legal)" },
        {"Mission_Assassinate_Legal_Communism_name", "Assassination (Communism, Legal)" },
        {"Mission_Assassinate_Legal_Corporate_name", "Assassination (Corporate, Legal)"},
        {"Mission_Assassinate_Legal_War_name", "Assassination (War, Legal)" },
        {"Mission_Assassinate_name", "Assassination"},
        {"Mission_Assassinate_Planetary_Expansion_name", "Assassination (Planetary Scan, Expansion)" },
        {"Mission_Assassinate_Planetary_name", "Assassination (Planetary Scan)"},
        {"Mission_Collect_Bust_name", "Provide (Bust)"},
        {"Mission_Collect_CivilLiberty_name", "Provide (Civil Liberty)"},
        {"Mission_Collect_CivilUnrest_name", "Provide (Civil Unrest)"},
        {"Mission_Collect_Famine_name", "Provide (Famine)"},
        {"Mission_Collect_Industrial_name", "Provide (Industrial)"},
        {"Mission_Collect_name", "Provide"},
        {"Mission_Collect_Outbreak_name", "Provide (Outbreak)" },
        {"Mission_Collect_RankEmp_name", "Provide (Imperial Navy)"},
        {"Mission_Collect_Retreat_name", "Provide (Retreat)"},
        {"Mission_Courier_CivilUnrest_name", "Courier (Divil Unrest)" },
        {"Mission_Courier_Democracy_name", "Courier (Democracy)"},
        {"Mission_Courier_Elections_name", "Courier (Elections)"},
        {"Mission_Courier_Expansion_name", "Courier (Expansion)"},
        {"Mission_Courier_Famine_name", "Courier (Famine)"},
        {"Mission_Courier_Lockdown_name", "Courier (Lockdown)"},
        {"Mission_Courier_name", "Courier"},
        {"Mission_Courier_RankEmp_name", "Courier (Imperial Navy)"},
        {"Mission_Courier_War_name", "Courier (War)" },
        {"Mission_Delivery_Agriculture_name", "Delivery (Agriculture)"},
        {"Mission_Delivery_Boom_name", "Delivery (Boom)"},
        {"Mission_Delivery_CivilUnrest_name", "Delivery (Civil Unrest)"},
        {"Mission_Delivery_Democracy_name", "Delivery (Democracy)"},
        {"Mission_Delivery_Investment_name", "Delivery (Investment)"},
        {"Mission_Delivery_name", "Delivery"},
        {"Mission_Delivery_RankEmp_name", "Delivery (Imperial Navy)"},
        {"Mission_Delivery_Retreat_name", "Delivery (Retreat)"},
        {"Mission_DeliveryWing_name", "Delivery (Wing)"},
        {"Mission_DeliveryWing_War_name", "Delivery (Wing) (War)"},
        {"Mission_Disable_BLOPS_Expansion_name", "Disable Surface Installation (Expansion) (Black Ops)" },
        {"MISSION_Disable_BLOPS_name", "Disable Surface Installation (Black Ops)" },
        {"MISSION_Disable_name", "Disable Surface Installation" },
        {"MISSION_Hack_name", "Hack Surface Installation" },
        {"Mission_Hack_BLOPS_Boom_name", "Hack Surface Installation (Boom)"},
        {"Mission_Hack_BLOPS_Elections_name", "Hack Surface Installation (Elections)"},
        {"Mission_Hack_BLOPS_Expansion_name", "Hack Surface Installation (Expansion)"},
        {"MISSION_Hack_BLOPS_name", "Hack Surface Installation"},
        {"Mission_HackMegaship_name", "Hack Megaship"},
        {"Mission_LongDistanceExpedition_Explorer_Boom_name", "Long Distance Expedition (Boom)"},
        {"Mission_LongDistanceExpedition_name", "Long Distance Expedition"},
        {"Mission_Massacre_Conflict_CivilWar_name", "Massacre (Civil War)"},
        {"Mission_Massacre_name", "Massacre"},
        {"Mission_Massacre_RankEmp_name", "Massacre (Imperial Navy)"},
        {"Mission_MassacreWing_Legal_Bust_name", "Massacre (Wing) (Bust)"},
        {"Mission_MassacreWing_name", "Massacre (Wing)"},
        {"Mission_Mining_name", "Mining" },
        {"Mission_OnFoot_Assassination_MB_name", "On Foot Assassination"},
        {"Mission_OnFoot_Assassination_Hard_MB_name", "On Foot Assassination (Flight-Risk)" },
        {"Mission_OnFoot_Assassination_Covert_MB_name", "On Foot Assassination (Covert)" },
        {"Mission_OnFoot_AssassinationIllegal_MB_name", "On Foot Assassination (Illegal)"},
        {"Mission_OnFoot_AssassinationIllegal_NCD_MB_name", "On Foot Assassination (Illegal)" },
        {"Mission_OnFoot_Collect_Contact_MB_name", "On Foot Collect"},
        {"Mission_OnFoot_Collect_MB_name", "On Foot Collection"},
        {"Mission_OnFoot_Defence_MacGuffin_MB_StandardCanister_name", "On Foot Cargo Defence" },
        {"Mission_OnFoot_Delivery_Contact_MB_name", "On Foot Delivery (Contact)"},
        {"Mission_OnFoot_Hack_Upload_Covert_MB_name", "On Foot Hack (Covert Upload)"},
        {"Mission_OnFoot_Hack_Upload_MB_name", "On Foot Hack (Upload)"},
        {"Mission_OnFoot_Heist_MB_name", "On Foot Heist" },
        {"Mission_OnFoot_Heist_POI_MB_name", "On Foot Heist (POI)"},
        {"Mission_OnFoot_Massacre_MB_name", "On Foot Massacre" },
        {"Mission_OnFoot_MassacreIllegal_MB_name", "On Foot Massacre (Illegal)"},
        {"Mission_OnFoot_Onslaught_MB_name", "On Foot Onslaught"},
        {"Mission_OnFoot_Onslaught_Offline_MB_name", "On Foot Onslaught (Offline)"},
        {"Mission_OnFoot_ProductionHeist_Covert_MB_name", "On Foot Production Heist (Covert)"},
        {"Mission_OnFoot_ProductionHeist_MB_name", "On Foot Production Heist"},
        {"Mission_OnFoot_Reboot_MB_name", "On Foot Reboot"},
        {"Mission_OnFoot_RebootRestore_MB_name", "On Foot Reboot/Restore"},
        {"Mission_OnFoot_Sabotage_Power_MB_name", "On Foot Power Sabotage"},
        {"Mission_OnFoot_Sabotage_Power_Covert_MB_name", "On Foot Power Sabotage (Covert)"},
        {"Mission_OnFoot_Sabotage_Production_MB_name", "On Foot Production Sabotage"},
        {"Mission_OnFoot_Sabotage_Production_Covert_MB_name", "On Foot Production Sabotage (Covert)"},
        {"Mission_OnFoot_Salvage_MB_name", "On Foot Salvage"},
        {"Mission_OnFoot_SalvageIllegal_MB_name", "On Foot Salvage (Illegal)"},
        {"Mission_OnFoot_Smuggle_Contact_MB_name", "On Foot Smuggling" },
        {"Mission_PassengerBulk_AIDWORKER_ARRIVING", "Seeking Transport (Aid Workers)"},
        {"Mission_PassengerBulk_name", "Seeking Transport" },
        {"Mission_PassengerVIP", "Passenger (VIP)"},
        {"Mission_PassengerVIP_Criminal_BOOM_name", "Passenger Criminal (VIP) (Boom)"},
        {"Mission_PassengerVIP_name", "Passenger (VIP)"},
        {"Mission_PassengerVIP_Scientist_FAMINE_name", "Passenger Scientist (VIP) (Famine)"},
        {"Mission_PassengerVIP_Tourist_BOOM_name", "Passenger Tourist (VIP) (Boom)"},
        {"Mission_Rescue_Elections_name", "Liberate Hostages (Election)" },
        {"Mission_Rescue_name", "Liberate Hostages" },
        {"Mission_Rescue_Planet_Expansion_name", "Planet Rescue (Expansion)" },
        {"Mission_Rescue_Planet_Retreat_name", "Planet Rescue (Retreat)" },
        {"Mission_Rescue_Planet_name", "Planet Rescue"},
        {"MISSION_Salvage_CivilUnrest_name", "Salvage (Civil Unrest)"},
        {"MISSION_Salvage_Expansion_name", "Salvage (Expansion)"},
        {"MISSION_Salvage_Illegal_name", "Salvage (Illegal)"},
        {"Mission_Salvage_name", "Salvage"},
        {"Mission_Salvage_RankEmp_name", "Salvage (Imperial Navy)"},
        {"MISSION_Salvage_Refinery_name", "Salvage (Refinery)"},
        {"MISSION_Salvage_Retreat_name", "Salvage (Retreat)"},
        {"MISSION_Scan_name", "Scan"},
        {"Mission_Sightseeing_Criminal_FAMINE_name", "Sightseeing (Criminal) (Famine)"},
        {"Mission_Sightseeing_name", "Sightseeing"},
        {"Mission_Smuggle_Anarchy_name", "Smuggling (Anarchy)" },
        {"Mission_TW_Massacre_Basilisk_Plural_name", "Kill Basilisks" },
        {"Mission_TW_Massacre_Basilisk_Singular_name", "Kill Basilisk" },
        {"Mission_TW_Massacre_Cyclops_Plural_name", "Kill Cyclops" },
        {"Mission_TW_Massacre_Cyclops_Singular_name", "Kill Cyclop" },
        {"Mission_TW_Massacre_Hydra_Plural_name", "Kill Hydras" },
        {"Mission_TW_Massacre_Hydra_Singular_name", "Kill Hydra" },
        {"Mission_TW_Massacre_Medusa_Plural_name", "Kill Medusas" },
        {"Mission_TW_Massacre_Medusa_Singular_name", "Kill Medusa" },
        {"Mission_TW_Massacre_Scout_Plural_name", "Kill Scouts" },
        {"Mission_TW_OnFoot_Reboot_Occupied_MB_name", "Reboot Settlement (Thargoid)" },
        {"Mission_TW_OnFoot_Reboot_NR_name", "Reboot Settlement (Thargoid)" },
        {"Mission_TW_OnFoot_Reboot_MB_name", "Reboot Settlement (Thargoid)" },
        {"Mission_TW_PassengerEvacuation_Burning_name", "Passenger Evacuation (Significant Damage)" },
        {"Mission_TW_PassengerEvacuation_UnderAttack_name", "Passenger Evacuation (Thargoid Invasion)" },
        {"Mission_TW_Rescue_UnderAttack_name", "Rescue (Thargoid Attack)" },
    };

    public static string? Translate(string name) {
        if (MissionNames.ContainsKey(name)) {
            return MissionNames[name];
        }

        return null;
    }
}
